--- title: "Get inspection category inspection result level" slug: "management-cloud-advisor-dashboard" tags: ["Cloud Advisor"] updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/management-cloud-advisor-dashboard" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get inspection category inspection result level Available in VPC Get a summary of inspection results by notification level for all inspection items in an inspection category. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/categories/{categoryCode}/dashboard | ### Request headers For information about the headers common to all Cloud Advisor APIs, see [Cloud Advisor request headers](/docs/en/management-cloud-advisor-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `categoryCode` | String | Optional | Inspection category code - `SECURITY` \| `COST` - `SECURITY`: security category - `COST`: expense and high availability category | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloud-advisor.apigw.ntruss.com/api/v1/categories/dashboard' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | String | - | API processing result - `SUCCESS` \| `FAIL` - `SUCCESS`: succeeded - `FAIL`: failed | | `contents` | Array | - | [Inspection category list](/docs/en/management-cloud-advisor-dashboard#%EC%A0%90%EA%B2%80%EC%B9%B4%ED%85%8C%EA%B3%A0%EB%A6%AC) | | `error` | Object | - | Error code and message - Displayed if `result` is `FAIL` | | `error.errorCode` | String | - | Errors | | `error.message` | String | - | Error message | #### `Inspection category` The following describes inspection categories. | Field | Type | Required | Description | | --- | --- | --- | --- | | `categoryCode` | String | - | Inspection category code | | `categoryName` | String | - | Inspection category code name | | `green` | String | - | Number of inspection items with a GREEN inspection result notification level in the inspection category - `GREEN`: status of compliance with recommended settings (normal) | | `yellow` | String | - | Number of inspection items with a YELLOW inspection result notification level in the inspection category - `YELLOW`: status requiring action (warning) | | `red` | String | - | Number of inspection items with a RED inspection result notification level in the inspection category - `RED`: status requiring immediate action (dangerous) | Note `blue` is a notification level displayed due to a temporary internal error. Since this field does not affect service usage, please try again after a moment if it is displayed in the API response results. ### Response status codes For response status codes common to all Cloud Advisor APIs, see [Cloud Advisor response status codes](/docs/en/management-cloud-advisor-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": "SUCCESS", "contents": [ { "categoryCode": "SECURITY", "categoryName": "Security", "green": 10, "yellow": 4, "red": 1, "blue": 0 }, { "categoryCode": "COST", "categoryName": "Expense and high utilization", "green": 10, "yellow": 0, "red": 0, "blue": 0 } ] } ```